Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.time.common
Class Trigger

    java.lang.Object
      weblogic.common.internal.RemoteEntryPoint
          weblogic.time.common.Trigger

All Implemented Interfaces:
  Externalizable, Serializable

Deprecated. As of WebLogic Server 7.0, replaced by `Timer`.

public final class Trigger
extends weblogic.common.internal.RemoteEntryPoint

The Trigger class is a wrapper for user-defined classes that implement Triggerable or TriggerDef. A Trigger can be used in calls to `TimeServicesDef.getScheduledTrigger()`. When a Trigger is constructed using a fully qualified class name -- rather than an actual instance -- an instance of the class is created on the WebLogic Server, using its default constructor.

If the user-supplied class implements TriggerDef, then the TriggerDef's `setServices()` and `triggerInit()` methods are called in that order, enabling access to WebLogic services and setting up initialization parameters.

See Also:
  `Triggerable`, `TriggerDef`, `TimeServicesDef`, Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from class weblogic.common.internal.RemoteEntryPoint
`className, params, theObject`

Constructor Summary
`Trigger()` Deprecated. Constructs a default Trigger object.
`Trigger(String entry)` Deprecated. Deprecated in WebLogic Server 6.1
`Trigger(String entry, weblogic.common.ParamSet ps)` Deprecated. Deprecated in WebLogic Server 6.1
`Trigger(Triggerable o)` Deprecated. Deprecated in WebLogic Server 6.1
`Trigger(Triggerable o, weblogic.common.ParamSet ps)` Deprecated. Deprecated in WebLogic Server 6.1

Method Summary
`void` | `private_initialize(T3ServicesDef services)` Deprecated. Deprecated in WebLogic Server 6.1
`void` | `private_initialize(T3ServicesDef services, Triggerable object)` Deprecated. Deprecated in WebLogic Server 6.1
`void` | `private_set_instance(Triggerable object)` Deprecated. Deprecated in WebLogic Server 6.1

Methods inherited from class weblogic.common.internal.RemoteEntryPoint
`className, destroy, equals, getName, getParamSet, getT3, hashCode, initialize, newInstance, params, readExternal, theObject, writeExternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Trigger

    public Trigger()

  Deprecated.
  Constructs a default Trigger object. Internal use only.

### Trigger

    public Trigger(String entry)

  Deprecated. Deprecated in WebLogic Server 6.1

  Constructs a Trigger with the fully qualified package name of a user-written class. The user-written class must implement Triggerable or TriggerDef.

### Trigger

    public Trigger(String entry,
                   weblogic.common.ParamSet ps)

  Deprecated. Deprecated in WebLogic Server 6.1

  Constructs a Trigger with the fully qualified package name of a user-written class and set of parameters. The user-written class must implement Triggerable or TriggerDef.

### Trigger

    public Trigger(Triggerable o)

  Deprecated. Deprecated in WebLogic Server 6.1

  Constructs a Trigger with the specified Object and set of parameters.

### Trigger

    public Trigger(Triggerable o,
                   weblogic.common.ParamSet ps)

  Deprecated. Deprecated in WebLogic Server 6.1

  Constructs a Trigger with the specified Object and set of parameters.

Method Detail

### private_initialize

    public void private_initialize(T3ServicesDef services)
                            throws weblogic.time.common.TimeTriggerException

  Deprecated. Deprecated in WebLogic Server 6.1

  Throws:
    `weblogic.time.common.TimeTriggerException`

### private_initialize

    public void private_initialize(T3ServicesDef services,
                                   Triggerable object)
                            throws weblogic.time.common.TimeTriggerException

  Deprecated. Deprecated in WebLogic Server 6.1

  Throws:
    `weblogic.time.common.TimeTriggerException`

### private_set_instance

    public void private_set_instance(Triggerable object)

  Deprecated. Deprecated in WebLogic Server 6.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD